Dallas Semiconductor 1-Wire API 1.00 Alpha: Class JiBAppletManagerCardService

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dalsemi.onewire.jib.service
Class JiBAppletManagerCardService

    java.lang.Object
      |
      +--opencard.core.service.CardService
            |
            +--com.dalsemi.onewire.jib.service.JiBAppletAccessCardService
                  |
                  +--com.dalsemi.onewire.jib.service.JiBAppletManagerCardService

All Implemented Interfaces:
  opencard.opt.applet.mgmt.AppletAccessCardService, opencard.opt.applet.mgmt.AppletManagerCardService, opencard.opt.service.CardServiceInterface, opencard.opt.security.SecureService

public class JiBAppletManagerCardService
extends JiBAppletAccessCardService
implements opencard.opt.applet.mgmt.AppletManagerCardService

The `JiBAppletManagerCardService` implements a set of calls for the maintenance of multiple applets on a card. This includes creating, registering and deleting applets on a multi-applet smartcard.

There is also a means to load applets onto cards through the `installApplet` method. However, this has not yet been fully specified by OpenCard so now remains unimplemented in this class.

See Also:
  `JiBAppletAccessCardService`, `JiBCardServiceFactory`

Constructor Summary
`JiBAppletManagerCardService()`

Method Summary
`opencard.opt.applet.AppletInfo` | `installApplet(opencard.opt.applet.mgmt.AppletCode appletCode)` Install an applet on the smart card.
`void` | `provideCredentials(opencard.opt.security.SecurityDomain domain, opencard.opt.security.CredentialBag creds)` This method is not implemented in the current `JibAppletManagerCardService`.
`opencard.opt.applet.AppletInfo` | `registerApplet(opencard.opt.applet.AppletID appletID)` Register an applet on the smart card.
`opencard.opt.applet.AppletInfo` | `removeApplet(opencard.opt.applet.AppletID appletID)` Remove an applet from the smart card.

Methods inherited from class com.dalsemi.onewire.jib.service.JiBAppletAccessCardService
`exists, getInfo, list, setCHVDialog`

Methods inherited from class opencard.core.service.CardService
`getCard, getCardChannel, getCHVDialog, setCardChannel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface opencard.opt.applet.mgmt.AppletAccessCardService
`exists, getInfo, list`

Methods inherited from interface opencard.opt.service.CardServiceInterface
`getCard, setCHVDialog`

Constructor Detail

### JiBAppletManagerCardService

    public JiBAppletManagerCardService()

Method Detail

### installApplet

    public opencard.opt.applet.AppletInfo installApplet(opencard.opt.applet.mgmt.AppletCode appletCode)
                                                 throws opencard.core.service.CardServiceException,
                                                        opencard.core.terminal.CardTerminalException

  Install an applet on the smart card.

  Note: This method is not implemented. Use the methods available in `OneWireContainer16` to load an applet onto a Java Powered iButton.
  Specified by:
    `installApplet` in interface `opencard.opt.applet.mgmt.AppletManagerCardService`
  Parameters:
    `appletCode` - The `AppletCode` representing the applet to be installed.

### registerApplet

    public opencard.opt.applet.AppletInfo registerApplet(opencard.opt.applet.AppletID appletID)
                                                  throws opencard.core.service.CardServiceException,
                                                         opencard.core.terminal.CardTerminalException

  Register an applet on the smart card. On the Java Powered iButton, this is equivalent to a 'select'.

  Specified by:
    `registerApplet` in interface `opencard.opt.applet.mgmt.AppletManagerCardService`
  Parameters:
    `appletID` - An `AppletID` representing the applet to be registered.
  Throws:
    `opencard.core.service.CardServiceException` - Thrown when error occurs during execution of the operation.

### removeApplet

    public opencard.opt.applet.AppletInfo removeApplet(opencard.opt.applet.AppletID appletID)
                                                throws opencard.core.service.CardServiceException,
                                                       opencard.core.terminal.CardTerminalException

  Remove an applet from the smart card.

  Specified by:
    `removeApplet` in interface `opencard.opt.applet.mgmt.AppletManagerCardService`
  Parameters:
    `appletIdentifier` - The `AppletID` object referring to the applet to be removed.
  Throws:
    `opencard.core.service.CardServiceException` - Thrown when error occurs during execution of the operation.

### provideCredentials

    public void provideCredentials(opencard.opt.security.SecurityDomain domain,
                                   opencard.opt.security.CredentialBag creds)
                            throws opencard.core.service.CardServiceException

  This method is not implemented in the current `JibAppletManagerCardService`.
  Specified by:
    `provideCredentials` in interface `opencard.opt.security.SecureService`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD